Bug 27595 - Place holds for patrons on accepted purchase suggestions
Summary: Place holds for patrons on accepted purchase suggestions
Status: Passed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 40 votes (vote)
Assignee: Nick Clemens
QA Contact: Martin Renvoize
URL:
Keywords:
: 29039 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-02-02 15:02 UTC by Kelly McElligott
Modified: 2024-01-05 22:45 UTC (History)
24 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 27595: Add new system preference PlaceHoldsOnOrdersFromSuggestions (3.46 KB, patch)
2023-12-04 14:13 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27595: Add place_hold method to Koha::Suggestion (3.97 KB, patch)
2023-12-04 14:13 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27595: Place holds when ordering from a suggestion (1.50 KB, patch)
2023-12-04 14:13 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27595: Add new system preference PlaceHoldsOnOrdersFromSuggestions (3.52 KB, patch)
2023-12-04 16:40 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 27595: Add place_hold method to Koha::Suggestion (4.02 KB, patch)
2023-12-04 16:40 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 27595: Place holds when ordering from a suggestion (1.56 KB, patch)
2023-12-04 16:40 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 27595: Add new system preference PlaceHoldsOnOrdersFromSuggestions (3.51 KB, patch)
2023-12-04 16:53 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 27595: Add place_hold method to Koha::Suggestion (4.01 KB, patch)
2023-12-04 16:53 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 27595: Place holds when ordering from a suggestion (1.55 KB, patch)
2023-12-04 16:53 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 27595: Add new system preference PlaceHoldsOnOrdersFromSuggestions (3.51 KB, patch)
2023-12-04 16:53 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 27595: Add place_hold method to Koha::Suggestion (4.01 KB, patch)
2023-12-04 16:53 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 27595: Place holds when ordering from a suggestion (1.55 KB, patch)
2023-12-04 16:53 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 27595: Add new system preference PlaceHoldsOnOrdersFromSuggestions (3.58 KB, patch)
2023-12-13 10:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27595: Add place_hold method to Koha::Suggestion (4.08 KB, patch)
2023-12-13 10:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27595: Place holds when ordering from a suggestion (1.62 KB, patch)
2023-12-13 10:36 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2021-02-02 15:02:00 UTC
Currently, Koha does alert a patron when a purchase suggestion has been ordered and also when it is available in Koha.  But it would be nice to have a further enhancement to this process and place a hold for the patron on the record once it has been accepted.  This is an extra step for libraries, and it would streamline the library's process for this to be done automatically.
Comment 1 Andrew Fuerste-Henry 2021-04-16 15:11:29 UTC
+1 on this -- this is a really common request when training new Koha users!
Comment 2 Amanda Campbell 2021-08-18 16:23:28 UTC
Yes, we would be interested in this. Manually placing holds is very tedious and time consuming.
Comment 3 Katrin Fischer 2021-09-21 06:07:44 UTC
*** Bug 29039 has been marked as a duplicate of this bug. ***
Comment 4 Christopher Brannon 2021-09-23 15:33:24 UTC
+1

This would be a fantastic and much needed feature!
Comment 5 Mwoo 2021-09-23 15:35:00 UTC
Patrons ask us about this all the time. 
This would be an awesome feature.
Comment 6 Ashley Johnson 2021-09-23 15:36:01 UTC
Our Collection Development team processes hundreds of patron suggestions each month. This feature would be highly important to our library system. Please develop this feature!!!
Comment 7 George Williams (NEKLS) 2021-09-23 15:42:03 UTC
This would be a great feature to add to Koha.
Comment 8 Felicity Brown 2022-05-23 19:46:58 UTC
This would be an awesome feature, especially if we could somehow get it to work with EDI ordering, not just title by title purchasing.
Comment 9 Ashley Johnson 2022-09-22 21:25:56 UTC
We would definitely be in on helping fund this enhancement. We do a TON of patron suggestions.
Comment 10 Kim Gnerre 2022-09-22 21:30:35 UTC
We are interested in this enhancement.  We frequently have people make suggestions and want the book when it's been ordered.
Comment 11 Katrin Fischer 2022-09-23 12:21:44 UTC
We have discovered something similar for acquisition orders the other day and kept wondering how this could work.

A suggestion might not be linked to a bibliographic record when it's accepted. So would this be limited to suggestions on existing records or for suggestions, that are also handled through acquisitions?

Maybe it would be nice to be able to manually link a suggestion to a bibliographic record? This could make it easier to add this enhancement on top.
Comment 12 Andrew Fuerste-Henry 2022-09-23 13:09:00 UTC
> Maybe it would be nice to be able to manually link a suggestion to a
> bibliographic record? This could make it easier to add this enhancement on
> top.

Strong agree! I filed bug 31617 for this. We already have the database field for it.
Comment 13 carthur@slolibrary.org 2023-12-02 01:01:03 UTC
Hi,

We're [SLO County Libraries] also interested in having this feature added to the Suggest a Title module.

Thank you,
Charlie
Comment 14 Nick Clemens 2023-12-04 14:13:17 UTC
Created attachment 159524 [details] [review]
Bug 27595: Add new system preference PlaceHoldsOnOrdersFromSuggestions
Comment 15 Nick Clemens 2023-12-04 14:13:20 UTC
Created attachment 159525 [details] [review]
Bug 27595: Add place_hold method to Koha::Suggestion

This patch adds anew method to allow placing a hold from a purchase suggestion

To test:
prove -v t/db_dependent/Suggestions.t
Comment 16 Nick Clemens 2023-12-04 14:13:23 UTC
Created attachment 159526 [details] [review]
Bug 27595: Place holds when ordering from a suggestion

This patch updates the ordering code to place a hold when adding to a basket from a
suggestion if the new preference PlaceHoldsOnOrdersFromSuggestions is enabled.

To test:
1 - Apply all patches
2 - updatedatabase
3 - See new system preference PlaceHoldsOnOrdersFromSuggestions
4 - Create a new purchase suggestion, mark it accepted
5 - Go to acquisitions, find a vendor, find a basket, 'Add to basket' -> 'From a suggestion'
6 - Complete order, confirm no hold was placed
7 - Enable the new system preference
8 - Repeast 4-6
9 - Confirm a hold was placed
Comment 17 ByWater Sandboxes 2023-12-04 16:40:48 UTC
Created attachment 159533 [details] [review]
Bug 27595: Add new system preference PlaceHoldsOnOrdersFromSuggestions

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 18 ByWater Sandboxes 2023-12-04 16:40:51 UTC
Created attachment 159534 [details] [review]
Bug 27595: Add place_hold method to Koha::Suggestion

This patch adds anew method to allow placing a hold from a purchase suggestion

To test:
prove -v t/db_dependent/Suggestions.t

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 19 ByWater Sandboxes 2023-12-04 16:40:53 UTC
Created attachment 159535 [details] [review]
Bug 27595: Place holds when ordering from a suggestion

This patch updates the ordering code to place a hold when adding to a basket from a
suggestion if the new preference PlaceHoldsOnOrdersFromSuggestions is enabled.

To test:
1 - Apply all patches
2 - updatedatabase
3 - See new system preference PlaceHoldsOnOrdersFromSuggestions
4 - Create a new purchase suggestion, mark it accepted
5 - Go to acquisitions, find a vendor, find a basket, 'Add to basket' -> 'From a suggestion'
6 - Complete order, confirm no hold was placed
7 - Enable the new system preference
8 - Repeast 4-6
9 - Confirm a hold was placed

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 20 Andrew Fuerste-Henry 2023-12-04 16:45:12 UTC
I want to note here that this feature will create holds that would not otherwise be allowed. It'll put holds on bibs without items and on bibs where all items are of an unholdable item type. I guess that shouldn't be an issue, since staff are purposefully ordering the title, but I wanted to make sure it was explicitly acknowledged.
Comment 21 ByWater Sandboxes 2023-12-04 16:53:06 UTC
Created attachment 159537 [details] [review]
Bug 27595: Add new system preference PlaceHoldsOnOrdersFromSuggestions

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Comment 22 ByWater Sandboxes 2023-12-04 16:53:09 UTC
Created attachment 159538 [details] [review]
Bug 27595: Add place_hold method to Koha::Suggestion

This patch adds anew method to allow placing a hold from a purchase suggestion

To test:
prove -v t/db_dependent/Suggestions.t

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Comment 23 ByWater Sandboxes 2023-12-04 16:53:12 UTC
Created attachment 159539 [details] [review]
Bug 27595: Place holds when ordering from a suggestion

This patch updates the ordering code to place a hold when adding to a basket from a
suggestion if the new preference PlaceHoldsOnOrdersFromSuggestions is enabled.

To test:
1 - Apply all patches
2 - updatedatabase
3 - See new system preference PlaceHoldsOnOrdersFromSuggestions
4 - Create a new purchase suggestion, mark it accepted
5 - Go to acquisitions, find a vendor, find a basket, 'Add to basket' -> 'From a suggestion'
6 - Complete order, confirm no hold was placed
7 - Enable the new system preference
8 - Repeast 4-6
9 - Confirm a hold was placed

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Comment 24 ByWater Sandboxes 2023-12-04 16:53:17 UTC
Created attachment 159540 [details] [review]
Bug 27595: Add new system preference PlaceHoldsOnOrdersFromSuggestions

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Comment 25 ByWater Sandboxes 2023-12-04 16:53:20 UTC
Created attachment 159541 [details] [review]
Bug 27595: Add place_hold method to Koha::Suggestion

This patch adds anew method to allow placing a hold from a purchase suggestion

To test:
prove -v t/db_dependent/Suggestions.t

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Comment 26 ByWater Sandboxes 2023-12-04 16:53:23 UTC
Created attachment 159542 [details] [review]
Bug 27595: Place holds when ordering from a suggestion

This patch updates the ordering code to place a hold when adding to a basket from a
suggestion if the new preference PlaceHoldsOnOrdersFromSuggestions is enabled.

To test:
1 - Apply all patches
2 - updatedatabase
3 - See new system preference PlaceHoldsOnOrdersFromSuggestions
4 - Create a new purchase suggestion, mark it accepted
5 - Go to acquisitions, find a vendor, find a basket, 'Add to basket' -> 'From a suggestion'
6 - Complete order, confirm no hold was placed
7 - Enable the new system preference
8 - Repeast 4-6
9 - Confirm a hold was placed

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Comment 27 Martin Renvoize 2023-12-13 10:36:38 UTC
Created attachment 159786 [details] [review]
Bug 27595: Add new system preference PlaceHoldsOnOrdersFromSuggestions

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 28 Martin Renvoize 2023-12-13 10:36:42 UTC
Created attachment 159787 [details] [review]
Bug 27595: Add place_hold method to Koha::Suggestion

This patch adds anew method to allow placing a hold from a purchase suggestion

To test:
prove -v t/db_dependent/Suggestions.t

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 29 Martin Renvoize 2023-12-13 10:36:46 UTC
Created attachment 159788 [details] [review]
Bug 27595: Place holds when ordering from a suggestion

This patch updates the ordering code to place a hold when adding to a basket from a
suggestion if the new preference PlaceHoldsOnOrdersFromSuggestions is enabled.

To test:
1 - Apply all patches
2 - updatedatabase
3 - See new system preference PlaceHoldsOnOrdersFromSuggestions
4 - Create a new purchase suggestion, mark it accepted
5 - Go to acquisitions, find a vendor, find a basket, 'Add to basket' -> 'From a suggestion'
6 - Complete order, confirm no hold was placed
7 - Enable the new system preference
8 - Repeast 4-6
9 - Confirm a hold was placed

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 30 Martin Renvoize 2023-12-13 10:37:41 UTC
All working well and no regressions, QA scripts happy.

Great addition, thanks Nick

Passing QA